%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: KDEFF theme for Mozilla Firefox
Name: firefox-theme-kdeff
Version: 0.4
Release: %mkrel 18
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/3652
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/12079/kdeff-%{version}-fx.jar
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox = %{firefox_epoch}:%{firefox_version}
Obsoletes: mozilla-firefox-theme-kdeff < %{version}-%{release}
Provides: mozilla-firefox-theme-kdeff = %{version}-%{release}
BuildRequires: firefox-devel

%description
KDEFF is a KDE-like theme using Crystal icons for Mozilla Firefox.

%prep
# Unfortunately, we have to fix the packaging for this one. :(
%setup -T -q -c -n %{name}-%{version}
unzip %{SOURCE0} icon.png install.rdf preview.png
mkdir chrome
cp %{SOURCE0} chrome/tmp.xpi
cat > chrome.manifest <<_EOF_
skin    browser KDEFF   jar:chrome/tmp.xpi!/browser/
skin    communicator    KDEFF   jar:chrome/tmp.xpi!/communicator/
skin    global  KDEFF   jar:chrome/tmp.xpi!/global/
skin    mozapps KDEFF   jar:chrome/tmp.xpi!/mozapps/
skin    help    KDEFF   jar:chrome/tmp.xpi!/help/
_EOF_

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-18mdv2010.0
+ Revision: 417677
- buildrequire firefox-devel, which provides the new macros for building extensions
- make use of the firefox package macros
- rebuild for firefox 3.5.2

* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 0.4-17mdv2010.0
+ Revision: 410508
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 0.4-16mdv2010.0
+ Revision: 405038
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 0.4-15mdv2010.0
+ Revision: 385780
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.4-14mdv2010.0
+ Revision: 369817
- rebuild for new ff

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-13mdv2009.1
+ Revision: 361856
- rebuild for firefox 3.0.8

* Sat Mar 14 2009 Funda Wang <fundawang@mandriva.org> 0.4-12mdv2009.1
+ Revision: 354813
- rebuild for new ff

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 0.4-11mdv2009.1
+ Revision: 337320
- rename to firefox
- rename to firefox

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 0.4-10mdv2009.1
+ Revision: 318929
- rebuild for new ff

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 0.4-9mdv2009.0
+ Revision: 289179
- rebuild for new FF

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-8mdv2009.0
+ Revision: 236320
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.4-7mdv2009.0
+ Revision: 231263
- Rebuild for firefox 2.0.0.15

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-6mdv2009.0
+ Revision: 195598
- rebuild for mozilla-firefox-2.0.0.14

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4-5mdv2008.1
+ Revision: 190292
- bump release (for mozilla-firefox-2.0.0.13)
- disable useless debug package

* Sat Feb 09 2008 Frederik Himpe <fhimpe@mandriva.org> 0.4-4mdv2008.1
+ Revision: 164586
- Rebuild it for Firefox 1.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-3mdv2008.1
+ Revision: 117787
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.4-2mdv2008.1
+ Revision: 117481
- Rebuilt for FF 2.0.0.11

* Thu Nov 08 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.4-1mdv2008.1
+ Revision: 106926
- First package.
- Created package structure for mozilla-firefox-theme-kdeff.

